import * as angular from 'angular';


export default angular
  .module('quayPages', [])
  .constant('pages', {
    '_pages': {},

    'create': function(pageName, templateName, opt_controller, opt_flags, opt_profiles) {
      var profiles = opt_profiles || ['old-layout', 'layout'];
      for (var i = 0; i < profiles.length; ++i) {
        this._pages[profiles[i] + ':' + pageName] = {
          'name': pageName,
          'controller': opt_controller,
          'templateName': templateName,
          'flags': opt_flags || {}
        };
      }
    },

    'get': function(pageName, profiles) {
      for (var i = 0; i < profiles.length; ++i) {
        var current = profiles[i];
        var key = current.id + ':' + pageName;
        var page = this._pages[key];
        if (page) {
          return [current, page];
        }
      }

      return null;
    }
  })
  .name;