import * as angular from 'angular';
import { quayConfig } from './quay.config';
import quayPages from './quay-pages.module';
import quayRun from './quay.run';
import { angularViewArrayFactory } from './services/angular-view-array/angular-view-array';
import namePatterns from './constants/name-patterns.constant';


var quayDependencies: string[] = [
  quayPages,
  'ngRoute',
  'chieffancypants.loadingBar',
  'cfp.hotkeys',
  'angular-tour',
  'restangular',
  'angularMoment',
  'mgcrea.ngStrap',
  'ngCookies',
  'ngSanitize',
  'angular-md5',
  'pasvaz.bindonce',
  'ansiToHtml',
  'core-ui',
  'core-config-setup',
  'infinite-scroll',
  'react'
];

if ((<any>window).__config && ((<any>window).__config.MIXPANEL_KEY || (<any>window).__config.MUNCHKIN_KEY || (<any>window).__config.GOOGLE_ANALYTICS_KEY)) {
  quayDependencies.push('angulartics');
}
if ((<any>window).__config && (<any>window).__config.MIXPANEL_KEY) {
  quayDependencies.push('angulartics.mixpanel');
}
if ((<any>window).__config && (<any>window).__config.MUNCHKIN_KEY) {
  quayDependencies.push('angulartics.marketo');
}
if ((<any>window).__config && (<any>window).__config.GOOGLE_ANALYTICS_KEY) {
  quayDependencies.push('angulartics.google.analytics');
}
if ((<any>window).__config && (<any>window).__config.RECAPTCHA_SITE_KEY) {
  quayDependencies.push('vcRecaptcha');
}

export default angular
  .module('quay', quayDependencies)
  .config(quayConfig)
  .constant('namePatterns', namePatterns)
  .factory('AngularViewArray', angularViewArrayFactory)
  .run(quayRun)
  .name;